# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2017-11-06 15:20
from __future__ import unicode_literals

from django.db import migrations, models

from ligoauth.models import LigoLdapUser

# Sets the ligoauth_ligoldapuser table to use utf-8 for the
# charset and collation.  Otherwise you can get annoying warnings
# like 'incorrect string value from the Django mysql backend when
# saving users with accented characters in their names.
#
# We don't use the "correct" format for inserting parameters in the raw
# SQL query, but that's because apparently you can't do that with the 
# table name itself.  I don't see how there could be an SQL injection attack
# through the migrations, so I'm going to pronounce this safe.

# Table name
TABLE_NAME = LigoLdapUser._meta.db_table

class Migration(migrations.Migration):

    dependencies = [
        ('ligoauth', '0001_initial'),
    ]

    operations = [
        #migrations.RunSQL(
        #    ["ALTER TABLE {table_name} DEFAULT CHARACTER SET UTF8;".format(
        #        table_name=TABLE_NAME)],
        #    ["ALTER TABLE {table_name} CONVERT TO CHARACTER SET UTF8;".format(
        #        table_name=TABLE_NAME)],
        #)
    ]
